Zone Resource
Description
This resource is for manipulating a single zone object.
GET /zones/:ID
Get details about the requested zone.
GET Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL Parameter | The unique numeric ID for the zone. | |
| include_prefix | No | Query Parameter | If included and set to true, the list of prefixes used for this Zone's routes will be included in the result. Supported in rWeb 9.1+. |
GET Response Values
| Name | Type | Description |
|---|---|---|
| id | JSON Number | The numeric ID of the zone. Should match the :ID used in the request. |
| name | JSON String | The display name of the zone. |
| description | JSON String | The optional description of the zone. |
| revisions_resource | JSON String | The revisions resource for the zone. |
| subnets_resource | JSON String | The subnets resource for the zone. |
| configurations_resource | JSON String | The configuration resource for the zone. |
| victims_resource | JSON String | The victims resource for the zone. |
| traffic_resource | JSON String | The traffic resource for the zone. |
| group_resource | JSON String | The group resource for the group that owns the zone. |
| group_name | JSON String | The display name of the group that owns the zone. |
| customer_resource | JSON String | This value is deprecated and should not be used. |
| customer_name | JSON String | This value is deprecated and should not be used. |
| zone_resource | JSON String | The zone resource. This should be identical to the requested resource. |
| toplists_resource | JSON String | The top lists resource for the zone. |
| toplists_all_resource | JSON String | The full top list resource for the zone. |
| topapps_resource | JSON String | The top applications resource for the zone. |
| topapps_all_resource | JSON String | The full top applications resource for the zone. |
| topprotocols_resource | JSON String | The top protocols resource for the zone. |
| topprotocols_all_resource | JSON String | The full top protocols resource for the zone. |
| topvlans_resource | JSON String | The top VLANs resource for the zone. |
| topvlans_all_resource | JSON String | The full top VLANs resource for the zone. |
| topattackers_resource | JSON String | The top attackers resource for the zone. |
| topattackers_all_resource | JSON String | The full top attackers resource for the zone. |
| log_resource | JSON String | The log resource for the zone. |
| revision_current_resource | JSON String | The current revision resource for the zone. |
| zone_devices_resource | JSON String | The zone devices resource for the zone. |
| is_under_attack_resource | JSON String | The is under attack resource for the zone. |
| template_resource | JSON String | The template resource for the zone. |
| filter_list_requests_resource | JSON String | The filter list requests resource for the zone. |
| filter_list_resource | JSON String | The filter list resource for the zone. |
| tcp_dumps_resource | JSON String | The tcp dumps resource for the zone. |
| prefix | JSON Array | If the include_prefix query parameter was sent, this will be returned with the list of prefixes assigned as this Zone's routes. |
Example GET Request
GET /zones/2517
Example GET Response
{
"id": 2517,
"name": "Z12.1.1",
"description": null,
"revisions_resource": "/zones/2517/revisions",
"subnets_resource": "/zones/2517/subnets",
"configurations_resource": "/zones/2517/configurations",
"victims_resource": "/zones/2517/victims",
"traffic_resource": "/zones/2517/traffic",
"group_resource": "/groups/547",
"group_name": "G12_1",
"customer_resource": "/customers/547",
"customer_name": "G12_1",
"zone_resource": "/zones/2517",
"toplists_resource": "/zones/2517/toplists",
"toplists_all_resource": "/zones/2517/toplists/all",
"topapps_resource": "/zones/2517/topapps",
"topapps_all_resource": "/zones/2517/topapps/all",
"topprotocols_resource": "/zones/2517/topprotocols",
"topprotocols_all_resource": "/zones/2517/topprotocols/all",
"topvlans_resource": "/zones/2517/topvlans",
"topvlans_all_resource": "/zones/2517/topvlans/all",
"topattackers_resource": "/zones/2517/topattackers",
"topattackers_all_resource": "/zones/2517/topattackers/all",
"log_resource": "/zones/2517/logs",
"revision_current_resource": "/zones/2517/revisions/current",
"zone_devices_resource": "/zones/2517/devices",
"is_under_attack_resource": "/zones/2517/is_under_attack",
"template_resource": "/zones/2517/template",
"filter_list_requests_resource": "/zones/2517/filter_list_requests",
"filter_list_resource": "/zones/2517/filter_list",
"tcp_dumps_resource": "/zones/2517/tcp_dump"
}
PUT /zones/:ID
Update the requested zone.
PUT Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL Parameter | The unique numeric ID of the zone to update. | |
| name | No | JSON String | The new name of the zone. | |
| description | No | JSON String | The new description for the zone. |
Example PUT Request
PUT /zones/2031
JSON Body:
{
"data": {
"name": "Test Zone Redux",
"description": "Added a description."
}
}
Example PUT Response
HTTP/1.1 200 OK
DELETE /zones/:ID
Remove the requested zone. This will automatically remove the zone from all devices that have this zone configuration pushed to them.
DELETE Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL Parameter | The unique numeric ID of the zone to remove. |
Example DELETE Request
DELETE /zones/2031
Example DELETE Response
HTTP/1.1 200 OK